<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('otps', function (Blueprint $table) {
            $table->enum('type', [
                'registration',
                'login',
                'order_confirmation',
                'password_reset',
                'checkout_verification',
                'order_verification',
            ])->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('otps', function (Blueprint $table) {
            $table->enum('type', [
                'registration',
                'login',
                'order_confirmation',
                'password_reset',
            ])->change();
        });
    }
};
